<%@ Page Language="C#"
    MasterPageFile="~/Resources/MasterPages/Popup.Master"
    CodeBehind="EditConfigurationFileInstance.aspx.cs"
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Configuration.EditConfigurationFileInstance"
    Title="Set in codebehind" %>

<asp:Content ContentPlaceHolderID="AdditionalHeadContent" runat="server">
<style type="text/css">
body {  background-color:#E7E7E7; }

#Header #Buttons { line-height: 25px; vertical-align: middle; height: 25px; background-image: url('/Resources/images/layout/menubaritem.svg'); background-size: contain; -webkit-background-size: contain; border-radius: 8px; border: solid 1px #AAA; overflow: hidden; }
    #Header #Buttons a.major { font-weight: bold; }
    #Header #Buttons a,
    #Header #Buttons a:hover,
    #Header #Buttons a:visited { color: #707070; text-shadow: 0 1px 0 #fff; display: block; float: left; text-decoration: none; border-right: solid 1px #AAA; padding: 0 12px; }
    #Header #Buttons a:hover { background-image: url('/Resources/images/layout/menubaritemselected.svg'); background-size: contain; }

#Container { margin: 5px; background-color:#FFF; padding: 5px; }

</style>

    <script type="text/javascript">
        $(function(){
        
            $(window)
                .resize(function(){
                    $('#Container').height( $(window).height() - 120);
                    })
                .trigger('resize');
                
            var setddl = function(){
                if ($('#<%=chkUseTemplate.ClientID%>').attr('checked'))
                    $('#<%=ddlTemplates.ClientID%>').removeAttr('disabled');
                else
                    $('#<%=ddlTemplates.ClientID%>').attr('disabled','disabled');
            };
            $('#<%=chkNoTemplate.ClientID%>,#<%=chkUseTemplate.ClientID %>').click(setddl);
            setddl();
        });
        
    </script>
    
</asp:Content>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">

    <div id="Header">
        <div id="Buttons">
            <asp:HyperLink runat="server" 
                ID="lnkCancel"
                Text="&laquo; Cancel"
                />
        </div>
        <h1><%= Server.HtmlEncode(Title) %></h1>
    </div>

    <div id="Body">
        <div id="Container">
        <br />

        <bm:InfoBox runat="server" ID="ctlEnvironmentError" BoxType="Error" Visible="false">
                There are no workflow steps defined for this application, therefore no configuration
                file instances can be created at this time.
        </bm:InfoBox>

        <asp:PlaceHolder runat="server" ID="ctlCreateNewConfigurationFile">

        <bm:FormFieldGroup ID="FormFieldGroup1" runat="server">
            <Description Heading="Environment">
                Choose an environment with which to associate your configuration file in order to provide default
                deployment options and set permissions.
            </Description>
            <FormFields>
                <bm:StandardFormField ID="StandardFormField1" runat="server" LabelText="Environment:">
                    <FieldContent>
                        <asp:DropDownList runat="server" ID="ddlEnvironments" />
                        <bm:StyledRequiredFieldValidator runat="server" ControlToValidate="ddlEnvironments" InitialValue="" />
                    </FieldContent>
                </bm:StandardFormField>
            </FormFields>
        </bm:FormFieldGroup>
        
        <bm:FormFieldGroup runat="server" EndGroup="false" ID="ctlInstanceName">
            <Description Heading="Instance Name">
                Choose a name that will uniquely identify this file.
            </Description>
            <FormFields>
                <bm:StandardFormField runat="server" LabelText="Instance Name:">
                    <FieldContent>
                        <bm:ValidatingTextBox runat="server"
                            ID="txtInstanceName"
                            Required="true"
                            Width="275" />
                        <bm:StyledCustomValidator runat="server"
                            ID="vcstUnusedInstanceName_txtInstanceName"
                            OnServerValidate="vcstUnusedInstanceName_txtInstanceName_ServerValidate"
                            Text="<br />An instance of this file with this name already exists." />
                    </FieldContent>
                </bm:StandardFormField>
            </FormFields>
        </bm:FormFieldGroup>

        <bm:FormFieldGroup runat="server" EndGroup="true" ID="ctlTemplate">
            <Description Heading="Templating">
                This instance may optionally use a template as a base.
            </Description>
            <FormFields>
                <bm:StandardFormField runat="server" LabelText="">
                    <FieldContent>
                        <div style="margin:10px 0px"><asp:RadioButton runat="server" ID="chkNoTemplate" Text="No Templating" Checked="true" GroupName="template" /></div>
                        <div style="margin:10px 0px;">
                            <asp:RadioButton runat="server" ID="chkUseTemplate" Text="Use Template:" Checked="false" GroupName="template" />
                            <asp:DropDownList runat="server" ID="ddlTemplates" Style="display:block;margin-left:20px;">
                                <asp:ListItem Text="(select)" Value="" />
                            </asp:DropDownList>
                            <bm:StyledCustomValidator runat="server"
                                ID="vcstTemplateInstanceName"
                                OnServerValidate="vcstTemplateInstanceName_ServerValidate"
                                Text="<br />You must select a valid template instance." />
                        </div>
                    </FieldContent>
                </bm:StandardFormField>
            </FormFields>
        </bm:FormFieldGroup>
        
                <div class="action-button-container">
            <asp:Button runat="server"
                ID="btnSave"
                Text="Create New Instance"
                CssClass="button"
                OnClick="btnSave_Click" />
                    </div>
        
        </asp:PlaceHolder>
        
        </div>
    </div>
</asp:Content>
